import request from '@/utils/request'

// 判断登陆角色
export function judgeRole() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_根据人角色编号',
      param: '编号=' + arguments[0]
    }
  })
}
// 初始化MU
export function initMU() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_部门查询',
      param: '人员编号=' + arguments[0] + '&部门代码=' + '0'
    }
  })
}
// 查询奖金得分
// 查询奖金得分
export function searchBonus() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_白领得分查询_SL',
      param: '月份=' + arguments[0] + '\\&操作者工号 =' + arguments[1] + '\\&角色代码 =' + arguments[2] + '\\&MU_check =' + arguments[3] + '\\&SL_check =' + arguments[4] + '\\&PV_check =' + arguments[5] + '\\&MU =' + arguments[6] +
      '\\&部门 =' + arguments[7] + '\\&Area =' + arguments[8]
    }
  })
}

// 查询冻结权限
export function initrole() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '输入权限判断'
    }
  })
}
// MU查詢 LLJ 新增
export function SelectMU() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_白领筛选框_筛选MU',
      param: '月份=' + arguments[0] + '&角色代码=' + arguments[1] + '&操作者工号=' + arguments[2]
    }
  })
}
// SL查询
export function SelectSL() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_白领筛选框_筛选SL',
      param: '月份=' + arguments[0] + '\\&角色代码=' + arguments[1] + '\\&操作者工号=' + arguments[2] + '\\&MU=' + arguments[3]
    }
  })
}
// SL查询
export function SelectArea() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_白领筛选框_筛选Area',
      param: '月份=' + arguments[0] + '\\&角色代码=' + arguments[1] + '\\&操作者工号=' + arguments[2] + '\\&部门=' + arguments[3]
    }
  })
}
// 审批
export function Approval2() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_白领得分审核_SL',
      param: '月份=' + arguments[0] + '\\&操作者工号=' + arguments[1] + '\\&部门=' + arguments[2]
    }
  })
}
// 确认编辑
export function confirmEdit() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_蓝白领得分修改_SL',
      param: 'id=' + arguments[0] + '&得分=' + arguments[1]
    }
  })
}

